Subject: bug#63546: (No Subject)

From: worldofgeese <[email-masked]>
Date: Fri, 23 Jun 2023 07:55:19 +0000

I'm still receiving the same error. I tested a variant of Zhu's patch by defining my own custom Nix package that sticks very closely to Zhu's, just with manpages and docs generation disabled. I can confirm Nix is running latest: nix (Nix) 2.16.0.

This is the first time I've done any kind of Guix hacking so it's a bit rough. Here's my custom Nix package.

(define-public my-nix
  (package
    (inherit nix)
    (name "nix")
    (version "2.16.0")
    (inputs (modify-inputs (package-inputs nix)
              (append rapidcheck nlohmann-json)))
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
              (url "https://github.com/NixOS/nix")
              (commit version)))
        (file-name (git-file-name name version))
        (sha256
         (base32 "0jizpci4zspqpqqy3n780m4wh8dzhfywaiz953xv70c7in810dra"))))
    (arguments
     `(#:configure-flags '("--disable-doc-gen")
       #:phases
       (modify-phases %standard-phases
         (replace 'check
            (lambda args
              ;; Some tests expect environment variable NIX_STORE to be
              ;; "/nix/store"
              (let ((original-NIX_STORE (getenv "NIX_STORE")))
                (dynamic-wind
                  (lambda ()
                    (setenv "NIX_STORE" "/nix/store"))
                  (lambda ()
                    (apply (assoc-ref %standard-phases 'check) args))
                  (lambda ()
                    (setenv "NIX_STORE" original-NIX_STORE)))))))))))

Attempting to run devbox shell returns 

Error: Command: /run/current-system/profile/bin/nix print-dev-env /home/worldofgeese/Downloads/projects/little_bits_of_buddha/.devbox/gen/flake/flake.nix --extra-experimental-features ca-derivations --option experimental-features nix-command flakes --json: exit status 1

[DEBUG] 2023/06/23 09:38:50 go.jetpack.io/devbox/internal/boxcli/midcobra/debug.go:72: Command stderr: path '/home/worldofgeese/Downloads/projects/little_bits_of_buddha/.devbox/gen/flake/flake.nix' does not contain a 'flake.nix', searching up
warning: Git tree '/home/worldofgeese/Downloads/projects/little_bits_of_buddha/.devbox/gen/flake' is dirty
error: opening pseudoterminal master: No such device. 

Devbox is a Nix package available from the Nixpkgs repositories intended for local development using Nix flakes.